Get Conversion Status
Retrieve the current status of a conversion.
GET /v1/conversions/:conversionId
Headers
| Header | Required | Description |
|---|---|---|
X-Api-Key |
Yes | Your API key |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
conversionId |
string | UUID of the conversion (returned when the conversion was created) |
Example Request
curl "https://api.esca.finance/v1/conversions/f7a8b9c0-d1e2-3456-abcd-ef7890123456" \
-H "X-Api-Key: your_api_key_here"
Example Response
{
"status": true,
"message": "Conversion retrieved successfully",
"data": {
"conversionId": "f7a8b9c0-d1e2-3456-abcd-ef7890123456",
"sourceCurrency": "NGN",
"targetCurrency": "USD",
"sourceAmount": 500000,
"targetAmount": 312.50,
"appliedRate": 1600,
"status": "COMPLETED",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-15T10:31:00.000Z"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
conversionId |
string | UUID of the conversion |
sourceCurrency |
string | Source currency |
targetCurrency |
string | Target currency |
sourceAmount |
number | Amount debited in source currency |
targetAmount |
number | Amount credited in target currency |
appliedRate |
number | Exchange rate applied |
status |
string | PROCESSING, COMPLETED, or FAILED |
createdAt |
string | ISO 8601 timestamp of when the conversion was created |
updatedAt |
string | ISO 8601 timestamp of when the conversion was last updated |
Error Responses
Conversion not found
{
"statusCode": 404,
"status": false,
"message": "Conversion not found."
}